﻿using SqlSugar;
using System;
using System.Collections.Generic;
using System.Text;

namespace Txgy.RBS.DbModel
{

    [SugarTable("workarea")]
    public class Workarea
    {
        [SugarColumn(ColumnName = "id", IsPrimaryKey = true, IsIdentity = true)]
        public int Id { get; set; }
        [SugarColumn(ColumnName = "name")]
        public string Name { get; set; }
        [SugarColumn(ColumnName = "csv_path")]
        public string CsvPath { get; set; }
        [SugarColumn(ColumnName = "ttime_path")]
        public string TtimePath { get; set; }
        [SugarColumn(ColumnName = "x_min")]
        public double Xmin { get; set; }
        [SugarColumn(ColumnName = "x_max")]
        public double Xmax { get; set; }
        [SugarColumn(ColumnName = "y_min")]
        public double Ymin { get; set; }
        [SugarColumn(ColumnName = "y_max")]
        public double Ymax { get; set; }
        [SugarColumn(ColumnName = "z_min")]
        public double Zmin { get; set; }
        [SugarColumn(ColumnName = "z_max")]
        public double Zmax { get; set; }   
        [SugarColumn(ColumnName = "save_result")]
        public int SaveResult { get; set; }
        [SugarColumn(ColumnName = "save_result_path")]
        public string SaveResultPath { get; set; }
        [SugarColumn(ColumnName = "push_wx")]
        public int PushWx { get; set; }
        [SugarColumn(ColumnName = "push_wx_value")]
        public double PushWxValue { get; set; }
        [SugarColumn(ColumnName = "push_dd")]
        public int PushDd { get; set; }
        [SugarColumn(ColumnName = "push_dd_value")]
        public double PushDdValue { get; set; }
        [SugarColumn(ColumnName = "save_waves")]
        public int SaveWaves { get; set; }
        [SugarColumn(ColumnName = "save_waves_path")]
        public double SaveWavesPath { get; set; }
        [SugarColumn(ColumnName = "send_redis")]
        public int SendRedis { get; set; }
        [SugarColumn(ColumnName = "mqtt_Server")]
        public string MqttServer { get; set; }
        [SugarColumn(ColumnName = "network")]
        public string Network { get; set; }
        [SugarColumn(ColumnName = "location")]
        public string Location { get; set; }
        [SugarColumn(ColumnName = "channels")]
        public string Channels { get; set; }
    }
}
