﻿using SqlSugar;
using System;
using System.Collections.Generic;
using System.Text;

namespace Txgy.RBS.DbModel
{

    [SugarTable("result")]
    public class Result
    {
        [SugarColumn(ColumnName = "id", IsPrimaryKey = true, IsIdentity = true)]
        public int Id { get; set; }
        [SugarColumn(ColumnName = "project_id")]
        public int ProjectId { get; set; }
        [SugarColumn(ColumnName = "otime")]
        public string Otime { get; set; }
        [SugarColumn(ColumnName = "e")]
        public double E { get; set; }
        [SugarColumn(ColumnName = "n")]
        public double N { get; set; }
        [SugarColumn(ColumnName = "depth")]
        public double Depth { get; set; }
        [SugarColumn(ColumnName = "ml")]
        public double Ml { get; set; }
        [SugarColumn(ColumnName = "energy")]
        public double Energy { get; set; }
        [SugarColumn(ColumnName = "rms")]
        public double Rms { get; set; }
        [SugarColumn(ColumnName = "phases_count")]
        public int PhasesCount { get; set; }
        [SugarColumn(ColumnName = "amps_count")]
        public int AmpsCount { get; set; }
        [SugarColumn(ColumnName = "seismic_source")]
        public string SeismicSource { get; set; }
        [SugarColumn(ColumnName = "seismic_direction")]
        public double SeismicDirection { get; set; }      
    }
}
